WAIT_ON_BIT_IO(9)

NAME
wait_on_bit_io - wait for a bit to be cleared

SYNOPSIS

int wait_on_bit_io(void * word, int bit, unsigned mode);

ARGUMENTS

word
    the word being waited on, a kernel virtual address

bit
    the bit of the word being waited on

mode
    the task state to sleep in

DESCRIPTION

Use the standard hashed waitqueue table to wait for a bit to be cleared. This is similar to wait_on_bit, but calls io_schedule instead of schedule for the actual waiting.

Returned value will be zero if the bit was cleared, or non-zero if the process received a signal and the mode permitted wakeup on that signal.

COPYRIGHT